%global pypi_name scrypt
%global _description %{expand:
Scrypt is useful when encrypting password as it is possible to specify a
minimum amount of time to use when encrypting and decrypting. If, for example,
a password takes 0.05 seconds to verify, a user won’t notice the slight delay
when signing in, but doing a brute force search of several billion passwords
will take a considerable amount of time. This is in contrast to more
traditional hash functions such as MD5 or the SHA family which can be
implemented extremely fast on cheap hardware.}


Summary:        Bindings for the scrypt key derivation function library
Name:           python-%{pypi_name}
Version:        0.8.20
Release:        5%{?dist}
License:        BSD
URL:            https://github.com/holgern/py-scrypt
Source0:        %pypi_source

%description %{_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  gcc
BuildRequires:  openssl-devel

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitearch}/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.20-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.20-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.20-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.20-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 kianli <kianli@tencent.com> - 0.8.20-1
- initial build
